jci release,
1.1-SNAPSHOT is new development version,
updated dist script




git-svn-id: https://svn.apache.org/repos/asf/jakarta/commons/proper/jci/trunk@548521 13f79535-47bb-0310-9956-ffa450edef68
diff --git a/build-dists.sh b/build-dists.sh
index 6ba25d5..52baf3b 100755
--- a/build-dists.sh
+++ b/build-dists.sh
@@ -13,15 +13,18 @@
 MAVEN_RELEASE="$BASE/target/maven-dist"
 DIST="$BASE/target/dist"
 
-rm -R $MAVEN_RELEASE 2>/dev/null || true
-rm -R $DIST 2>/dev/null || true
 
+rm -Rf $DIST 2>/dev/null || true
+find $BASE/target -name "commons-jci*" -delete
+
+
+rm -R $MAVEN_RELEASE 2>/dev/null || true
 scp -r $STAGING $MAVEN_RELEASE
 
 
 # build binary dist
 
-LIB="$DIST/bin/lib"
+LIB="$DIST/bin/commons-jci-$RELEASE-bin/lib"
 mkdir -p $LIB 2>/dev/null
 
 JARS=`find $MAVEN_RELEASE -type f -name "*-$RELEASE.jar"`
@@ -30,7 +33,7 @@
     cp $A $LIB
 done
 
-cp $BASE/LICENSE.txt $BASE/NOTICE.txt $DIST/bin
+cp $BASE/LICENSE.txt $BASE/NOTICE.txt $DIST/bin/commons-jci-$RELEASE-bin/
 
 cd $DIST/bin
 
@@ -49,8 +52,7 @@
 mkdir -p $DIST/src 2>/dev/null
 cd $DIST/src
 
-svn co $SOURCE .
-
+svn co $SOURCE commons-jci-$RELEASE-src
 
 tar czvf $BASE/target/commons-jci-$RELEASE-src.tar.gz --exclude .svn --exclude target --exclude dist.sh .
 zip -r $BASE/target/commons-jci-$RELEASE-src.zip . -x "*.svn/*" -x "target/*"
diff --git a/pom.xml b/pom.xml
index 456ef6b..c049ee9 100644
--- a/pom.xml
+++ b/pom.xml
@@ -277,6 +277,6 @@
         <maven.compile.source>1.4</maven.compile.source>
         <maven.compile.target>1.4</maven.compile.target>
         <commons.deployment.protocol>scpexe</commons.deployment.protocol>
-        <release.tag>1.0-RC4</release.tag>
+        <release.tag>1.1-RC1</release.tag>
     </properties>
 </project>
diff --git a/src/site/xdoc/downloads.xml b/src/site/xdoc/downloads.xml
index 5cbef7c..3988313 100644
--- a/src/site/xdoc/downloads.xml
+++ b/src/site/xdoc/downloads.xml
@@ -24,27 +24,25 @@
 
    <body>
       <section name="Releases">
-         <p>There are no releases available yet.</p>
 
-<!--
          <p>The following releases are available:</p>
-         <ul>
-           <li>Version 1.1 - 20 October 2003</li>
-           <li>Version 1.0 - 12 August 2002</li>
-         </ul>
-         <br/>
+
+         <h1>Version 1.1 </h1>
          <p>
-            The latest binary release is always available on the 
-            <a href="http://jakarta.apache.org/site/binindex.cgi#commons-jci">
-            Jakarta Binary Downloads page</a>,
-            its source is available from 
-            <a href="http://jakarta.apache.org/site/sourceindex.cgi#commons-jci">
-            Jakarta Source Downloads page</a>.
+             The current trunk and not released yet. Access to the source tree to see the latest and
+             greatest code is possible through <a href="source-repository.html">anonymous SVN access</a>.
          </p>
+
+         <h1>Version 1.0, 18.06.2007</h1>
+         <p>
+             JCI is available through <a href="http://repo1.maven.org">maven repository</a> mirrors.
+             Traditional release distributions are are available from the
+             <a href="http://jakarta.apache.org/site/downloads/downloads_commons-jci.cgi">Jakarta download page</a>.
+         </p>
+<!--
          <p>
             Older releases are retained by the Apache Software Foundation but are 
-            moved into a
-            <a href="http://archive.apache.org/dist/jakarta/commons/jci/">
+            moved into a <a href="http://archive.apache.org/dist/jakarta/commons/jci/">
             special archive area</a>.
          </p>
          <p>
@@ -52,16 +50,12 @@
            Nightly source and binary drops</a> are available.
          </p>
 -->
-         <p>
-            Access to the source tree to see the latest and greatest code is possible
-            through <a href="source-repository.html">anonymous SVN access</a>.
-         </p>
       </section>
 
 <!--
       <section name="Release Candidate">
          <p>
-            Release candidates for the upcoming 1.0 release can be downloaded 
+            Release candidates for the upcoming 1.1 release can be downloaded 
             <a href="http://people.apache.org/~tcurdt/jci/rc/">here</a>.
          </p>
          <p>
@@ -69,7 +63,7 @@
             <a href="mail-lists.html">mailing list</a>.
          </p>
          <p>
-            Planet release target is 10 April 2007.
+            Planet release target is 10 April 200x.
          </p>
       </section>
 -->